Create payment slip
POST https://{handle}.myshopline.com/admin/openapi/v20261201/orders/transactions.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
order_payment_listobject[] required
orderPaymentListorder_id string requiredOrder numberExample:21059591764404071557334003payment_detailsobject
Transaction extra fieldsstore_payment_name string requiredMerchant payment method nameExample:Payment namepay_channel_deal_id stringExternal channel payment serial numberExample:1C40278814835131Lstore_payment_id string requiredMerchant payment method IDExample:146462515processed_at stringPayment actual time , format : 2023-04-12T22 : 59 : 52+08 : 00Example:2023-04-12T22:59:52+08:00status string requiredPayment status unpaid (unpaid), paid (payment successful), paid_failed (payment failed)Example:paidamount double requiredPayment amountExample:2create_at longCreation time (timestamp example: 1632638624)Example:1632638624currency string requiredCurrencyExample:USDgateway string requiredPayment method, only support offline payment customPayExample:customPay
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
transaction_listobject[]
java.util.Random@7cfadf47amount doublePayment amountExample:2create_at stringCreation timeExample:1632638624id stringPayment slip numberExample:23059287225140757637516981order_id stringOrder numberExample:21059591764404071557334003pay_channel_deal_id stringExternal channel payment serial numberExample:1C40278814835131Lstatus stringPayment slip statusExample:paid
API Explorer
Debugger
Was this article helpful to you?